org.apache.felix.scrplugin.xml

## Class MetaTypeIO

- java.lang.Object
- - org.apache.felix.scrplugin.xml.MetaTypeIO

    public class MetaTypeIO
    extends Object

`MetaType` is a helper class to read and write meta type service files.

### Constructor Summary

Constructors
Constructor and Description
`MetaTypeIO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<String>` `generateDescriptors(DescriptionContainer module, Project project, Options options, Log logger)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaTypeIO

    public MetaTypeIO()

### Method Detail

#### generateDescriptors

    public static List<String> generateDescriptors(DescriptionContainer module,
                                                   Project project,
                                                   Options options,
                                                   Log logger)
                                            throws SCRDescriptorException

Throws:
  `SCRDescriptorException`